Package com.xmlmind.w2x.processor

## Class UsageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.xmlmind.w2x.processor.UsageException

- All Implemented Interfaces:
    `Serializable`

      public final class UsageException
      extends Exception

  An exception raised by `Processor.configure(String[])` when this method cannot parse its `args` string array.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `error` | The error message.
    `URL` | `errorURL` | The URL of the options file (see `-f` option) having an error.
    `String` | `optionsDoc` | A short help text about the options supported by the `process` method.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UsageException​(String optionsDoc, String error, URL errorURL)` | Constructs an UsageException.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `joinMessage​(String optionsDoc, String error, URL errorURL)` | Joins specified information to form a complete error message.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### optionsDoc

          public final String optionsDoc

      A short help text about the options supported by the `process` method.

    - #### error

          public final String error

      The error message. Is `null` if the error is a plain syntax error (for example, a missing input file).

    - #### errorURL

          public final URL errorURL

      The URL of the options file (see `-f` option) having an error. Is `null` if the error was not found in an options file.

  - ### Constructor Detail

    - #### UsageException

          public UsageException​(String optionsDoc,
                                String error,
                                URL errorURL)

      Constructs an UsageException.

  - ### Method Detail

    - #### joinMessage

          public static String joinMessage​(String optionsDoc,
                                           String error,
                                           URL errorURL)

      Joins specified information to form a complete error message.